Subject: Add call-interactively to "never optimize" list for native compilation
From: Lynn Winebarger <[email-masked]>
To: [email-masked]
Date: Thu, 4 Aug 2022 21:37:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version 28.1:
Since dumping an Emacs with ~500 core libraries in addition to the 100+
from loadup (596 NCUs in the dump), I noticed huge numbers of async jobs
compiling trampolines for call-interactively.  Adding call-interactively -
and funcall-interactively for good measure - to the customization variable
for functions to never optimize, as well as to the hard-coded list in
advice--add-function, then recompiling and dumping resolved the issue.

Lynn